Subject: bug#47533: bug in dejagnu 1.6.3-rc2

From: Jacob Bachmeyer <[email-masked]>
Date: Wed, 31 Mar 2021 20:23:15 -0500

Tom Tromey wrote:
> I tried dejagnu 1.6.3-rc2.  I ran "runtest" on a subset of the gdb test
> suite, and this worked well.  Thank you.
>
> I tried the new "dejagnu" command but noticed two things.
>
> First in --help:
>
> Usage: dejagnu <command> [--help|options...]
> Usage: dejagnu --help
> Usage: dejagnu --version
>         --help			Print help text
>         --version		Print DejaGnu version
>
> The GNU norm is to use upper-case for "metasyntactic variables", so
> normally it would say "dejagnu COMMAND [...]"
>   

So how should that be written in GNU convention?
"dejagnu COMMAND [ --help | OPTIONS... ]"?
Is there a description of these conventions somewhere that I have missed 
or overlooked?

> Second, either --help or running it without options should probably show
> the available commands.
>   

This issue is PR33821.   It has not been implemented yet because we do 
not have enough commands to make evaluating an implementation practical.

> Third, the use of tabs in the output makes it a bit weird to quote.
>   

This was done for convenience, including that the help texts are 
actually read from the script files where they are "inset" using tabs.  
(The line "# ##help" in the dejagnu launcher script introduces its own 
help text.)  What problems does this cause?

-- Jacob